{{ ============================================================================
''   File....... objOutput.spin
''   Stack...... None required.
''   Purpose.... Test delay caused by protection resistors
''   Author..... Alexander (Sandy) Hapgood
''               Copyright (c) 2012 Alexander Hapgood
''   E-mail..... sandy.hapgood@whitepoint.net
''   Revision... 2015-07-03
''   Status..... In Progress
''               Pin assignments verified against PCB P/N 2014-11-18, 1421
'' ============================================================================
}}

PUB Start ( pResult )
' Start low level driver in specific cog or the next available cog

' RETURNS: Nothing

  cognew(@PulseOut, pResult)           'cognew result is ignored          
              


DAT
'*****************************************************************************
'
'*****************************************************************************
                   org       0

PulseOut           mov       pAddr, par
                   rdlong    outpin, pAddr
                   rdlong    count, #0
                   add       count, cnt
                   waitcnt   count, #0               '1 second
                   or        dira, outpin
                   or        outa, outpin
                   jmp       #$
                   

pAddr              res 1
outpin             res 1
count              res 1

                   fit